## com.saxonica.extra
Class SequenceFilter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.SequenceWriter
              com.saxonica.extra.SequenceFilter

All Implemented Interfaces:
  javax.xml.transform.Result, Receiver

    public class SequenceFilter

extends SequenceWriter

A sequence writer that passes on only those items that satisfy a filter predicate. The filter will always be non-positional.

Field Summary

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceFilter(SequenceWriter out, XPathContext context, Expression filter)`

Method Summary
`void` `write(Item item)` Abstract method to be supplied by subclasses: output one item in the sequence.

Methods inherited from class net.sf.saxon.event.SequenceWriter
`adviseReuse, append, attribute, characters, close, comment, endDocument, endElement, namespace, processingInstruction, startContent, startDocument, startElement`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`getConfiguration, getNamePool, getPipelineConfiguration, getSystemId, open, setPipelineConfiguration, setSystemId, setUnparsedEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilter

    public SequenceFilter(SequenceWriter out,
                          XPathContext context,
                          Expression filter)

Method Detail

### write

    public void write(Item item)
               throws XPathException

  Description copied from class: `SequenceWriter`
  Abstract method to be supplied by subclasses: output one item in the sequence.

  Specified by:
    `write` in class `SequenceWriter`
  Parameters:
    `item` - the item to be written to the sequence
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.